#
# spec file for package html-xml-utils
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           html-xml-utils
Version:        7.6
Release:        lp151.2.3
Summary:        A number of simple utilities for manipulating HTML and XML files
License:        W3C
Group:          Development/Languages/Other
Url:            https://www.w3.org/Tools/HTML-XML-utils/
Source:         https://www.w3.org/Tools/HTML-XML-utils/html-xml-utils-%{version}.tar.gz
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  libcurl-devel
BuildRequires:  libidn2-devel

%description
HTML-XML-utils provides a number of simple utilities for manipulating and
converting HTML and XML files in various ways. The suite consists of the
following tools:

asc2xml      -  convert from UTF-8 to &\#nnn; entities
xml2asc      -  convert from &\#nnn; entities to UTF-8
hxaddid      -  add IDs to selected elements
hxcite       -  replace bibliographic references by hyperlinks
hxcite-mkbib -  expand references and create bibliography
hxclean      -  apply heuristics to correct an HTML file
hxcopy       -  copy an HTML file while preserving relative links
hxcount      -  count elements and attributes in HTML or XML files
hxextract    -  extract selected elements
hxincl       -  expand included HTML or XML files
hxindex      -  create an alphabetically sorted index
hxmkbib      -  create bibliography from a template
hxmultitoc   -  create a table of contents for a set of HTML files
hxname2id    -  move some ID= or NAME= from A elements to their parents
hxnormalize  -  pretty-print an HTML file
hxnsxml      -  convert output of hxxmlns back to normal XML
hxnum        -  number section headings in an HTML file
hxpipe       -  convert XML to a format easier to parse with Perl or AWK
hxprintlinks -  number links & add table of URLs at end of an HTML file
hxprune      -  remove marked elements from an HTML file
hxref        -  generate cross-references
hxselect     -  extract elements that match a (CSS) selector
hxtoc        -  insert a table of contents in an HTML file
hxuncdata    -  replace CDATA sections by character entities
hxunent      -  replace HTML predefined character entities to UTF-8
hxunpipe     -  convert output of pipe back to XML format
hxunxmlns    -  replace "global names" by XML Namespace prefixes
hxwls        -  list links in an HTML file
hxxmlns      -  replace XML Namespace prefixes by "global names"

%prep
%setup -q
chmod -x ChangeLog README

%build
%configure
make %{?_smp_mflags}

%install
%make_install
rm %{buildroot}%{_datadir}/doc/%{name}/COPYING

%files
%doc ChangeLog README
%license COPYING
%{_bindir}/*
%{_mandir}/man1/*.1*

%changelog
* Sun Feb 18 2018 sebix+novell.com@sebix.at
- update to version 7.6:
  * fix read uninitialized memory bug
- update to version 7.5:
  * bugfixes
  * Added support for HTML5 elements (source, audio, video)
* Sat Dec 30 2017 sebix+novell.com@sebix.at
- initial package for version 7.4
